## org.jibx.runtime
Interface ITrackSource

All Known Subinterfaces:
  ITrackSourceImpl

    public interface ITrackSource

Unmarshalling source tracking interface. This interface is added to bound classes when requested by the binding definition. It allows the user to retrieve information about the location in the input document corresponding to an unmarshalled object, if the parser used for unmarshalling supports reporting this information.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`int` `jibx_getColumnNumber()` Get source document column number.
`java.lang.String` `jibx_getDocumentName()` Get source document name.
`int` `jibx_getLineNumber()` Get source document line number.

Method Detail

### jibx_getDocumentName

    java.lang.String jibx_getDocumentName()

  Get source document name.

  Returns:
    name given for source document, or `null` if none

### jibx_getLineNumber

    int jibx_getLineNumber()

  Get source document line number.

  Returns:
    line number in source document, or `-1` if unknown

### jibx_getColumnNumber

    int jibx_getColumnNumber()

  Get source document column number.

  Returns:
    column number in source document, or `-1` if unknown

Project Web Site |